org.ajax4jsf.component

## Class UIAjaxLog

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.ajax4jsf.component.UIAjaxLog

- All Implemented Interfaces:
    javax.faces.component.StateHolder
  Direct Known Subclasses:
    AjaxLog

      public abstract class UIAjaxLog
      extends javax.faces.component.UIComponentBase

  Author:
    shura

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `bindings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIAjaxLog()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract java.lang.String` | `getHeight()`
    `abstract java.lang.String` | `getHotkey()`
    `abstract java.lang.String` | `getLevel()`
    `abstract java.lang.String` | `getName()`
    `abstract java.lang.String` | `getWidth()`
    `abstract boolean` | `isPopup()`
    `abstract void` | `setHeight(java.lang.String newvalue)`
    `abstract void` | `setHotkey(java.lang.String newvalue)`
    `abstract void` | `setLevel(java.lang.String newvalue)`
    `abstract void` | `setName(java.lang.String newvalue)`
    `abstract void` | `setPopup(boolean popup)`
    `abstract void` | `setWidth(java.lang.String newvalue)`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getContainerClientId, getFamily, getValueExpression, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIAjaxLog

          public UIAjaxLog()

  - ### Method Detail

    - #### getHotkey

          public abstract java.lang.String getHotkey()

    - #### setHotkey

          public abstract void setHotkey(java.lang.String newvalue)

    - #### getName

          public abstract java.lang.String getName()

    - #### setName

          public abstract void setName(java.lang.String newvalue)

    - #### getWidth

          public abstract java.lang.String getWidth()

    - #### setWidth

          public abstract void setWidth(java.lang.String newvalue)

    - #### getHeight

          public abstract java.lang.String getHeight()

    - #### setHeight

          public abstract void setHeight(java.lang.String newvalue)

    - #### getLevel

          public abstract java.lang.String getLevel()

    - #### setLevel

          public abstract void setLevel(java.lang.String newvalue)

    - #### isPopup

          public abstract boolean isPopup()

    - #### setPopup

          public abstract void setPopup(boolean popup)

Copyright © 2014. All Rights Reserved.